{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "alata-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/alata/Alata-Regular.ttf?raw=true";
      name = "Alata-Regular.ttf";
      sha256 = "7b71432a5e2e2409a3583553bc5ce703209a8bce9b2f136ca257ac4c2d3addc4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Alata-Regular.ttf $out/share/fonts/truetype/Alata-Regular.ttf
  '';

  meta = with lib; {
    description = "Alata";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
