{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "bahiana-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/bahiana/Bahiana-Regular.ttf?raw=true";
      name = "Bahiana-Regular.ttf";
      sha256 = "75760e955339cd70012c8bd9577d373f8bdd4256a73f571f61a42f58ea26fe9c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Bahiana-Regular.ttf $out/share/fonts/truetype/Bahiana-Regular.ttf
  '';

  meta = with lib; {
    description = "Bahiana";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
