{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "big-shoulders-display-sc-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/bigshouldersdisplaysc/BigShouldersDisplaySC%5Bwght%5D.ttf?raw=true";
      name = "BigShouldersDisplaySC_wght_.ttf";
      sha256 = "919c655b8fcfffcb633f75a8c018d386d16f7d08365c86ed7560709dff3bfbd8";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 BigShouldersDisplaySC_wght_.ttf $out/share/fonts/truetype/BigShouldersDisplaySC_wght_.ttf
  '';

  meta = with lib; {
    description = "Big Shoulders Display SC";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
