{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "blaka-ink-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/blakaink/BlakaInk-Regular.ttf?raw=true";
      name = "BlakaInk-Regular.ttf";
      sha256 = "d745f0be7cf43f4e8998834ef730b3cab22a82db19d6a1737008b7b4a87112ea";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 BlakaInk-Regular.ttf $out/share/fonts/truetype/BlakaInk-Regular.ttf
  '';

  meta = with lib; {
    description = "Blaka Ink";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
