{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "blaka-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/blaka/Blaka-Regular.ttf?raw=true";
      name = "Blaka-Regular.ttf";
      sha256 = "5cd0ff67dcfbc371c6450afffe10f6e7027ffada0c31f436beb8865e57b781a3";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Blaka-Regular.ttf $out/share/fonts/truetype/Blaka-Regular.ttf
  '';

  meta = with lib; {
    description = "Blaka";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
