{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "boldonse-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/boldonse/Boldonse-Regular.ttf?raw=true";
      name = "Boldonse-Regular.ttf";
      sha256 = "f566c572a85fee25b41ccab1a8d18ef8039a30e3ca44f310ee162899ea6d5fc7";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Boldonse-Regular.ttf $out/share/fonts/truetype/Boldonse-Regular.ttf
  '';

  meta = with lib; {
    description = "Boldonse";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
