{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "cabin-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/cabin/Cabin%5Bwdth,wght%5D.ttf?raw=true";
      name = "Cabin_wdth,wght_.ttf";
      sha256 = "a16576e6cec01cf994c46838ed1c17ffdb62cf6da8430edfbcb011f57dd62457";
    })
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/cabin/Cabin-Italic%5Bwdth,wght%5D.ttf?raw=true";
      name = "Cabin-Italic_wdth,wght_.ttf";
      sha256 = "f033cc4391bdcbb674169c997e3cafbf3417b1fd790a1d9bd31eafa0ca8afea4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Cabin_wdth-wght_.ttf $out/share/fonts/truetype/Cabin_wdth-wght_.ttf
     install -Dm644 Cabin-Italic_wdth-wght_.ttf $out/share/fonts/truetype/Cabin-Italic_wdth-wght_.ttf
  '';

  meta = with lib; {
    description = "Cabin";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
