{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "dosis-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/dosis/Dosis%5Bwght%5D.ttf?raw=true";
      name = "Dosis_wght_.ttf";
      sha256 = "b2238eef0b3464904fed097ef274c704bc63d21407369b7d7a5be7b0821a0e82";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Dosis_wght_.ttf $out/share/fonts/truetype/Dosis_wght_.ttf
  '';

  meta = with lib; {
    description = "Dosis";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
