{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "dotumche-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/dotumche/DotumChe-Regular.ttf?raw=true";
      name = "DotumChe-Regular.ttf";
      sha256 = "c2c030ca896d46ff28dae17663e9fe22ab2fc6e6518c96d75e15ca8fb441bd2f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 DotumChe-Regular.ttf $out/share/fonts/truetype/DotumChe-Regular.ttf
  '';

  meta = with lib; {
    description = "DotumChe";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
