{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "estonia-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/estonia/Estonia-Regular.ttf?raw=true";
      name = "Estonia-Regular.ttf";
      sha256 = "03087597ea24879c19d51ca4622f8c4e9cd867d081e7ad0ad3e7dccfdb1933b2";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Estonia-Regular.ttf $out/share/fonts/truetype/Estonia-Regular.ttf
  '';

  meta = with lib; {
    description = "Estonia";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
