{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "fauna-one-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/faunaone/FaunaOne-Regular.ttf?raw=true";
      name = "FaunaOne-Regular.ttf";
      sha256 = "3c636067331e86fbf349924f3c1964155b99072a390caaffe60ce6c0866363fe";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 FaunaOne-Regular.ttf $out/share/fonts/truetype/FaunaOne-Regular.ttf
  '';

  meta = with lib; {
    description = "Fauna One";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
