{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "intel-one-mono-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/intelonemono/IntelOneMono%5Bwght%5D.ttf?raw=true";
      name = "IntelOneMono_wght_.ttf";
      sha256 = "6dffe8cc95a4a8599ac93bd79774bf44c7f82f7c65065a84e426110696fb992d";
    })
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/intelonemono/IntelOneMono-Italic%5Bwght%5D.ttf?raw=true";
      name = "IntelOneMono-Italic_wght_.ttf";
      sha256 = "54a4d17543d4432be3fc72a23173d7df939f67c14245b13817995decc3bd0c52";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 IntelOneMono_wght_.ttf $out/share/fonts/truetype/IntelOneMono_wght_.ttf
     install -Dm644 IntelOneMono-Italic_wght_.ttf $out/share/fonts/truetype/IntelOneMono-Italic_wght_.ttf
  '';

  meta = with lib; {
    description = "Intel One Mono";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
