{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "jomolhari-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/jomolhari/Jomolhari-Regular.ttf?raw=true";
      name = "Jomolhari-Regular.ttf";
      sha256 = "4507597ac6d8faad3908c06a4698167f8204a1101d38bf32b04582cc2d22e86c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Jomolhari-Regular.ttf $out/share/fonts/truetype/Jomolhari-Regular.ttf
  '';

  meta = with lib; {
    description = "Jomolhari";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
