{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "jua-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/jua/Jua-Regular.ttf?raw=true";
      name = "Jua-Regular.ttf";
      sha256 = "769677aef240bfc3b9965f2b50748075bff885e6c6992fc591a3fb268279f898";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Jua-Regular.ttf $out/share/fonts/truetype/Jua-Regular.ttf
  '';

  meta = with lib; {
    description = "Jua";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
