{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "kranky-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/kranky/Kranky-Regular.ttf?raw=true";
      name = "Kranky-Regular.ttf";
      sha256 = "2b40548b2a84e3daa922f770657aefc86d4ce13d155b96912bea2d50bcb09cc4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Kranky-Regular.ttf $out/share/fonts/truetype/Kranky-Regular.ttf
  '';

  meta = with lib; {
    description = "Kranky";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
