{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "lilita-one-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/lilitaone/LilitaOne-Regular.ttf?raw=true";
      name = "LilitaOne-Regular.ttf";
      sha256 = "f5b641c45c69d772ee4eda687bc9fda411d5cad6b0b45371491da4580cbc8d59";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 LilitaOne-Regular.ttf $out/share/fonts/truetype/LilitaOne-Regular.ttf
  '';

  meta = with lib; {
    description = "Lilita One";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
