{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "lxgw-marker-gothic-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/lxgwmarkergothic/LXGWMarkerGothic-Regular.ttf?raw=true";
      name = "LXGWMarkerGothic-Regular.ttf";
      sha256 = "e6a55cfd5f18dc393f92670a164397a69242cb4eabe1d3feb5dc22fc4947a8ba";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 LXGWMarkerGothic-Regular.ttf $out/share/fonts/truetype/LXGWMarkerGothic-Regular.ttf
  '';

  meta = with lib; {
    description = "LXGW Marker Gothic";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
