{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "meie-script-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/meiescript/MeieScript-Regular.ttf?raw=true";
      name = "MeieScript-Regular.ttf";
      sha256 = "006c66ba5d8de0b824821d9444ba97b149e26715944c1a8ab427bbb35704e6c0";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 MeieScript-Regular.ttf $out/share/fonts/truetype/MeieScript-Regular.ttf
  '';

  meta = with lib; {
    description = "Meie Script";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
