{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "micro-5-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/micro5/Micro5-Regular.ttf?raw=true";
      name = "Micro5-Regular.ttf";
      sha256 = "08a08c0d10129d2ecd869ff2f8914fcbf32487d3cbee3568b2a2957866dfdac8";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Micro5-Regular.ttf $out/share/fonts/truetype/Micro5-Regular.ttf
  '';

  meta = with lib; {
    description = "Micro 5";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
