{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "miriam-libre-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/miriamlibre/MiriamLibre%5Bwght%5D.ttf?raw=true";
      name = "MiriamLibre_wght_.ttf";
      sha256 = "9ea850118d552d25e1fb8242cbd429a5801c691b6ce218458e1a039045114bb8";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 MiriamLibre_wght_.ttf $out/share/fonts/truetype/MiriamLibre_wght_.ttf
  '';

  meta = with lib; {
    description = "Miriam Libre";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
