{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "moderustic-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/moderustic/Moderustic%5Bwght%5D.ttf?raw=true";
      name = "Moderustic_wght_.ttf";
      sha256 = "ba465ae65b26bbc2eede93f05d983912999c0916ef1160449da773fa3beb7467";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Moderustic_wght_.ttf $out/share/fonts/truetype/Moderustic_wght_.ttf
  '';

  meta = with lib; {
    description = "Moderustic";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
