{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-buhid-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosansbuhid/NotoSansBuhid-Regular.ttf?raw=true";
      name = "NotoSansBuhid-Regular.ttf";
      sha256 = "70408dbcf0da33d12d3b582305057a63a3ea132b4bf313027834e5b9b6a7d886";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansBuhid-Regular.ttf $out/share/fonts/truetype/NotoSansBuhid-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Buhid";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
