{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-hk-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanshk/NotoSansHK%5Bwght%5D.ttf?raw=true";
      name = "NotoSansHK_wght_.ttf";
      sha256 = "76098ee78ec234cd4f8c950742b3f766fea2f8b43d5180d901048f4fc86c6849";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansHK_wght_.ttf $out/share/fonts/truetype/NotoSansHK_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans HK";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
