{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-javanese-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosansjavanese/NotoSansJavanese%5Bwght%5D.ttf?raw=true";
      name = "NotoSansJavanese_wght_.ttf";
      sha256 = "0bcb88de05a855aec38471d6317e860fa2a40d1c3ca93f2736b7c34ad9288d90";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansJavanese_wght_.ttf $out/share/fonts/truetype/NotoSansJavanese_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Javanese";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
