{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-old-hungarian-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosansoldhungarian/NotoSansOldHungarian-Regular.ttf?raw=true";
      name = "NotoSansOldHungarian-Regular.ttf";
      sha256 = "c23b363986fabc168af489c5d4eaf3c10fbb110599ffe6ca3b2eac777aa73079";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansOldHungarian-Regular.ttf $out/share/fonts/truetype/NotoSansOldHungarian-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Old Hungarian";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
