{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-sinhala-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanssinhala/NotoSansSinhala%5Bwdth,wght%5D.ttf?raw=true";
      name = "NotoSansSinhala_wdth,wght_.ttf";
      sha256 = "9bd93e407a278075be403324063bc94a7e306c44de4df81214e932330c22eecf";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansSinhala_wdth-wght_.ttf $out/share/fonts/truetype/NotoSansSinhala_wdth-wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Sinhala";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
