{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-sora-sompeng-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanssorasompeng/NotoSansSoraSompeng%5Bwght%5D.ttf?raw=true";
      name = "NotoSansSoraSompeng_wght_.ttf";
      sha256 = "1fe66f4904e960705b68c60f7e92ae579ef80bab30f29b894d44eed1edc306e0";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansSoraSompeng_wght_.ttf $out/share/fonts/truetype/NotoSansSoraSompeng_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Sora Sompeng";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
