{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-tai-le-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanstaile/NotoSansTaiLe-Regular.ttf?raw=true";
      name = "NotoSansTaiLe-Regular.ttf";
      sha256 = "eeb4c41d8e1a6075f7e580cc159dff424e2f61e64f5edcd57b5e8ca57d58a2ea";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansTaiLe-Regular.ttf $out/share/fonts/truetype/NotoSansTaiLe-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Tai Le";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
