{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-sans-tai-viet-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notosanstaiviet/NotoSansTaiViet-Regular.ttf?raw=true";
      name = "NotoSansTaiViet-Regular.ttf";
      sha256 = "ba2a5346d6a9c041663fc835cf090efcbb9feb81a620245e7a64ecf6caafc59d";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSansTaiViet-Regular.ttf $out/share/fonts/truetype/NotoSansTaiViet-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Sans Tai Viet";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
