{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-serif-oriya-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notoseriforiya/NotoSerifOriya%5Bwght%5D.ttf?raw=true";
      name = "NotoSerifOriya_wght_.ttf";
      sha256 = "9fa2a08cb6a677d155a823bc58b4c587613780bd43013fd362369c251001502a";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSerifOriya_wght_.ttf $out/share/fonts/truetype/NotoSerifOriya_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Serif Oriya";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
