{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-serif-todhri-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notoseriftodhri/NotoSerifTodhri-Regular.ttf?raw=true";
      name = "NotoSerifTodhri-Regular.ttf";
      sha256 = "d2c1afe671b637345e7045fcd0b4a4dca35c55811a7811de486b77f1b035008f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSerifTodhri-Regular.ttf $out/share/fonts/truetype/NotoSerifTodhri-Regular.ttf
  '';

  meta = with lib; {
    description = "Noto Serif Todhri";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
