{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "noto-serif-toto-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/notoseriftoto/NotoSerifToto%5Bwght%5D.ttf?raw=true";
      name = "NotoSerifToto_wght_.ttf";
      sha256 = "776c27354b06462d15963a8c11b35c90a777638ca2659be0667766570ec5fd1c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 NotoSerifToto_wght_.ttf $out/share/fonts/truetype/NotoSerifToto_wght_.ttf
  '';

  meta = with lib; {
    description = "Noto Serif Toto";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
