{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "offside-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/offside/Offside-Regular.ttf?raw=true";
      name = "Offside-Regular.ttf";
      sha256 = "996d1eb52d4922d9fdab7bb6d0b3525e99396254d4a7e1d5c3b182c6bf5450a9";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Offside-Regular.ttf $out/share/fonts/truetype/Offside-Regular.ttf
  '';

  meta = with lib; {
    description = "Offside";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
