{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "orbitron-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/orbitron/Orbitron%5Bwght%5D.ttf?raw=true";
      name = "Orbitron_wght_.ttf";
      sha256 = "f42db2dd16e642258e35782916eceb1dcdbea06fb958d77ad71dc5963587e8fd";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Orbitron_wght_.ttf $out/share/fonts/truetype/Orbitron_wght_.ttf
  '';

  meta = with lib; {
    description = "Orbitron";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
