{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-au-sa-guides-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwriteausaguides/PlaywriteAUSAGuides-Regular.ttf?raw=true";
      name = "PlaywriteAUSAGuides-Regular.ttf";
      sha256 = "eb6dfb41295d6dafd463080153e6175e47d852b19559ac210da464c430633774";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteAUSAGuides-Regular.ttf $out/share/fonts/truetype/PlaywriteAUSAGuides-Regular.ttf
  '';

  meta = with lib; {
    description = "Playwrite AU SA Guides";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
