{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-cl-guides-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwriteclguides/PlaywriteCLGuides-Regular.ttf?raw=true";
      name = "PlaywriteCLGuides-Regular.ttf";
      sha256 = "8c777ffbd57588f2b21df5816b9e04ebc93ce50e189e874b5cb3230b355a7a65";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteCLGuides-Regular.ttf $out/share/fonts/truetype/PlaywriteCLGuides-Regular.ttf
  '';

  meta = with lib; {
    description = "Playwrite CL Guides";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
