{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "playwrite-tz-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/playwritetz/PlaywriteTZ%5Bwght%5D.ttf?raw=true";
      name = "PlaywriteTZ_wght_.ttf";
      sha256 = "89b583219a676442f5fa88b57202d4e5334af0c32489b3dd4303106a19de6c9c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 PlaywriteTZ_wght_.ttf $out/share/fonts/truetype/PlaywriteTZ_wght_.ttf
  '';

  meta = with lib; {
    description = "Playwrite TZ";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
