{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "rock-salt-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/rocksalt/RockSalt-Regular.ttf?raw=true";
      name = "RockSalt-Regular.ttf";
      sha256 = "c5421d1ced1949488f29d11b75b7ef967abe2d870f816246bf18fdc0f3e29c96";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RockSalt-Regular.ttf $out/share/fonts/truetype/RockSalt-Regular.ttf
  '';

  meta = with lib; {
    description = "Rock Salt";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
