{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "rubik-broken-fax-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/rubikbrokenfax/RubikBrokenFax-Regular.ttf?raw=true";
      name = "RubikBrokenFax-Regular.ttf";
      sha256 = "52062566e93a07757574a2eb993befa2bf00638a2c1d10a12ccdb7e8c86a3e5e";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 RubikBrokenFax-Regular.ttf $out/share/fonts/truetype/RubikBrokenFax-Regular.ttf
  '';

  meta = with lib; {
    description = "Rubik Broken Fax";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
