{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "secular-one-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/secularone/SecularOne-Regular.ttf?raw=true";
      name = "SecularOne-Regular.ttf";
      sha256 = "2f45092a521db5042887941edfef73178ed7c5ba7fdfc5b6f581d44aab7b0234";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 SecularOne-Regular.ttf $out/share/fonts/truetype/SecularOne-Regular.ttf
  '';

  meta = with lib; {
    description = "Secular One";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
