{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "shizuru-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/shizuru/Shizuru-Regular.ttf?raw=true";
      name = "Shizuru-Regular.ttf";
      sha256 = "5954562e5fbb40fffe6361cbbcac0d4a4c9c5e2897d7b20876f294fbcc243f7f";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Shizuru-Regular.ttf $out/share/fonts/truetype/Shizuru-Regular.ttf
  '';

  meta = with lib; {
    description = "Shizuru";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
