{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "slackey-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/apache/slackey/Slackey-Regular.ttf?raw=true";
      name = "Slackey-Regular.ttf";
      sha256 = "0be253cdeadcd1ea90ff5954e86641b3ccbef27152608e266af91619cd308eb2";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Slackey-Regular.ttf $out/share/fonts/truetype/Slackey-Regular.ttf
  '';

  meta = with lib; {
    description = "Slackey";
    license = licenses.asl20;
    platforms = platforms.all;
  };
}
