{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "splash-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/splash/Splash-Regular.ttf?raw=true";
      name = "Splash-Regular.ttf";
      sha256 = "42c2ddc11917333bcd24a3eb0bc7df5205278226e2f6521459384479f1b6675c";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Splash-Regular.ttf $out/share/fonts/truetype/Splash-Regular.ttf
  '';

  meta = with lib; {
    description = "Splash";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
