{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "teko-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/teko/Teko%5Bwght%5D.ttf?raw=true";
      name = "Teko_wght_.ttf";
      sha256 = "d1321889f262bbbff632e7976349853399cd097b6f382d4b19790c915c13c1ae";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Teko_wght_.ttf $out/share/fonts/truetype/Teko_wght_.ttf
  '';

  meta = with lib; {
    description = "Teko";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
