{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "the-girl-next-door-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/thegirlnextdoor/TheGirlNextDoor.ttf?raw=true";
      name = "TheGirlNextDoor.ttf";
      sha256 = "35329e71258e48398643f1f94175aa0c9a8d18bd179918d9ac4f3d497b6557a1";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 TheGirlNextDoor.ttf $out/share/fonts/truetype/TheGirlNextDoor.ttf
  '';

  meta = with lib; {
    description = "The Girl Next Door";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
