{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "vina-sans-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/vinasans/VinaSans-Regular.ttf?raw=true";
      name = "VinaSans-Regular.ttf";
      sha256 = "aaab4634a39d8a9f51d97844822ae4cba4a64e0d24b26e88f7b5d401e954fe13";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 VinaSans-Regular.ttf $out/share/fonts/truetype/VinaSans-Regular.ttf
  '';

  meta = with lib; {
    description = "Vina Sans";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
