{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "warnes-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/warnes/Warnes-Regular.ttf?raw=true";
      name = "Warnes-Regular.ttf";
      sha256 = "d3bd538498237de2f30420b45efe9b1a2d0671f66868ddf595284f797266ba32";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Warnes-Regular.ttf $out/share/fonts/truetype/Warnes-Regular.ttf
  '';

  meta = with lib; {
    description = "Warnes";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
