{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "wdxl-lubrifont-sc-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/wdxllubrifontsc/WDXLLubrifontSC-Regular.ttf?raw=true";
      name = "WDXLLubrifontSC-Regular.ttf";
      sha256 = "0134ed261d56aab8fa1860df677858c5d0d3ca899b2aa5430581c458a752e914";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 WDXLLubrifontSC-Regular.ttf $out/share/fonts/truetype/WDXLLubrifontSC-Regular.ttf
  '';

  meta = with lib; {
    description = "WDXL Lubrifont SC";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
