{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "wdxl-lubrifont-tc-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/wdxllubrifonttc/WDXLLubrifontTC-Regular.ttf?raw=true";
      name = "WDXLLubrifontTC-Regular.ttf";
      sha256 = "acae31588d34ba66a51a6271209bdcbb6105962f0f77a74729e69e3938f96775";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 WDXLLubrifontTC-Regular.ttf $out/share/fonts/truetype/WDXLLubrifontTC-Regular.ttf
  '';

  meta = with lib; {
    description = "WDXL Lubrifont TC";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
