{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "yaldevi-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/yaldevi/Yaldevi%5Bwght%5D.ttf?raw=true";
      name = "Yaldevi_wght_.ttf";
      sha256 = "21d5516cd9a8831964b57503f5b7a119aafa9603bdddd0183e91a0ac8c8dc2e4";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Yaldevi_wght_.ttf $out/share/fonts/truetype/Yaldevi_wght_.ttf
  '';

  meta = with lib; {
    description = "Yaldevi";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
