{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "yarndings-20-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/yarndings20/Yarndings20-Regular.ttf?raw=true";
      name = "Yarndings20-Regular.ttf";
      sha256 = "9479c85968eac65589c599b6b6322c2f8f834a43e76d8523d71f443483afcdc8";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 Yarndings20-Regular.ttf $out/share/fonts/truetype/Yarndings20-Regular.ttf
  '';

  meta = with lib; {
    description = "Yarndings 20";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
