{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "yeon-sung-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/yeonsung/YeonSung-Regular.ttf?raw=true";
      name = "YeonSung-Regular.ttf";
      sha256 = "49ac2a11009f5f58307d377911eb45d210cf4c1d379d9eca38fb4cdad5491ef6";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 YeonSung-Regular.ttf $out/share/fonts/truetype/YeonSung-Regular.ttf
  '';

  meta = with lib; {
    description = "Yeon Sung";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
