{ lib, stdenv, fetchurl }:

stdenv.mkDerivation rec {
  name = "zcool-xiaowei-${version}";
  version = "2025-06-02-151828";

  phases = [ "unpackPhase" "installPhase" ];

  srcs = [
    (fetchurl {
      url = "https://github.com/google/fonts/blob/cfae751f6b7c61cf5bdc69600ba86c0e1738c704/ofl/zcoolxiaowei/ZCOOLXiaoWei-Regular.ttf?raw=true";
      name = "ZCOOLXiaoWei-Regular.ttf";
      sha256 = "a42b620140f493db42f741351dfbf343c0936d58588ee8004b8b2a218d997ff1";
    })
  ];

  unpackPhase = ''
    for font in $srcs; do
      cp "$font" "$(echo "$font" | cut -d- -f2-)"
    done
  '';

  installPhase = ''
     install -Dm644 ZCOOLXiaoWei-Regular.ttf $out/share/fonts/truetype/ZCOOLXiaoWei-Regular.ttf
  '';

  meta = with lib; {
    description = "ZCOOL XiaoWei";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
